## WebKitSecurityOrigin

WebKitSecurityOrigin — A security boundary for web sites

## Functions

GList * | webkit_security_origin_get_all_web_databases ()
const gchar * | webkit_security_origin_get_host ()
guint | webkit_security_origin_get_port ()
const gchar * | webkit_security_origin_get_protocol ()
GType | webkit_security_origin_get_type ()
guint64 | webkit_security_origin_get_web_database_quota ()
guint64 | webkit_security_origin_get_web_database_usage ()
void | webkit_security_origin_set_web_database_quota ()

## Properties

gchar * | host | Read
guint | port | Read
gchar * | protocol | Read
guint64 | web-database-quota | Read / Write
guint64 | web-database-usage | Read

## Types and Values

| WebKitSecurityOrigin

## Object Hierarchy

        GObject
        ╰── WebKitSecurityOrigin

## Description

WebKitSecurityOrigin is a representation of a security domain defined by web sites. An origin consists of a host name, a protocol, and a port number. Web sites with the same security origin can access each other's resources for client-side scripting or database access.

Use webkit_web_frame_get_security_origin to get the security origin of a WebKitWebFrame.

Database quotas and usages are also defined per security origin. The cumulative disk usage of an origin's databases may be retrieved with webkit_security_origin_get_web_database_usage. An origin's quota can be adjusted with webkit_security_origin_set_web_database_quota.

## Functions

### webkit_security_origin_get_all_web_databases ()

    GList *
    webkit_security_origin_get_all_web_databases
                                   (WebKitSecurityOrigin *securityOrigin);

Returns a list of all Web Databases in the security origin.

#### Parameters

securityOrigin | a WebKitSecurityOrigin |

#### Returns

a GList of databases in the security origin.

[transfer container][element-type WebKitWebDatabase]

Since 1.1.14

### webkit_security_origin_get_host ()

    const gchar *
    webkit_security_origin_get_host (WebKitSecurityOrigin *securityOrigin);

Returns the hostname for the security origin.

#### Parameters

securityOrigin | a WebKitSecurityOrigin |

#### Returns

the hostname for the security origin

Since 1.1.14

### webkit_security_origin_get_port ()

    guint
    webkit_security_origin_get_port (WebKitSecurityOrigin *securityOrigin);

Returns the port for the security origin.

#### Parameters

securityOrigin | a WebKitSecurityOrigin |

#### Returns

the port for the security origin

Since 1.1.14

### webkit_security_origin_get_protocol ()

    const gchar *
    webkit_security_origin_get_protocol (WebKitSecurityOrigin *securityOrigin);

Returns the protocol for the security origin.

#### Parameters

securityOrigin | a WebKitSecurityOrigin |

#### Returns

the protocol for the security origin

Since 1.1.14

### webkit_security_origin_get_type ()

    GType
    webkit_security_origin_get_type (void);

#### Returns

### webkit_security_origin_get_web_database_quota ()

    guint64
    webkit_security_origin_get_web_database_quota
                                   (WebKitSecurityOrigin *securityOrigin);

Returns the quota for Web Database storage of the security origin in bytes.

#### Parameters

securityOrigin | a WebKitSecurityOrigin |

#### Returns

the Web Database quota

Since 1.1.14

### webkit_security_origin_get_web_database_usage ()

    guint64
    webkit_security_origin_get_web_database_usage
                                   (WebKitSecurityOrigin *securityOrigin);

Returns the cumulative size of all Web Database database's in the origin in bytes.

#### Parameters

securityOrigin | a WebKitSecurityOrigin |

#### Returns

the cumulative size of all databases

Since 1.1.14

### webkit_security_origin_set_web_database_quota ()

    void
    webkit_security_origin_set_web_database_quota
                                   (WebKitSecurityOrigin *securityOrigin,
                                    guint64 quota);

Adjust the quota for Web Database storage of the security origin

#### Parameters

securityOrigin | a WebKitSecurityOrigin |
quota | a new Web Database quota in bytes |

Since 1.1.14

## Types and Values

### WebKitSecurityOrigin

    typedef struct _WebKitSecurityOrigin WebKitSecurityOrigin;

## Property Details

### The `“host”` property

      “host”                     gchar *

The host of the security origin.

Flags: Read

Default value: NULL

Since 1.1.14

### The `“port”` property

      “port”                     guint

The port of the security origin.

Flags: Read

Allowed values: <= 65535

Default value: 0

Since 1.1.14

### The `“protocol”` property

      “protocol”                 gchar *

The protocol of the security origin.

Flags: Read

Default value: NULL

Since 1.1.14

### The `“web-database-quota”` property

      “web-database-quota”       guint64

The web database qouta of the security origin in bytes.

Flags: Read / Write

Default value: 0

Since 1.1.14

### The `“web-database-usage”` property

      “web-database-usage”       guint64

The cumulative size of all web databases in the security origin in bytes.

Flags: Read

Default value: 0

Since 1.1.14